let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-22.05";
    rev = ''
      fecf05d4861f3985e8dee73f08bc82668ef75125'';
  };

in {
  inherit nixpkgs;
  nixos = nixpkgs // { suffix = "/nixos"; };
  "channels-nixos-stable" = nixpkgs;
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = ''
      a115bb9bd56831941be3776c8a94005867f316a7'';
  };
  "channels-nixos-unstable-small" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable-small";
    rev = ''
      10f32aad0c94019aafd1a6f4d452af4b7809c219'';
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = ''
      e8b8afb2552b76e9ac2cf8b9245c9fe31f8ac9d2'';
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-22.05";
    rev = ''
      6639e3a837fc5deb6f99554072789724997bc8e5'';
  };
}
